// Copyright 1994-2025 WIT.COM Inc Licensed GPL 3.0

package forgepb

import (
	"go.wit.com/log"
)

var forgeURL string = "https://go.wit.com/"

func (f *Forge) GetPatchesets() (*Patchsets, error) {
	url := forgeURL + "GetPatchsets"
	log.Info("GetPatchsets() url", url)
	body, err := f.HttpPost(url, nil)
	if err != nil {
		log.Info("httpPost() failed:", err)
		return nil, err
	}
	log.Info("GetPatchets() len(body)", len(body))
	var psets *Patchsets
	psets = new(Patchsets)
	err = psets.Unmarshal(body)
	if err != nil {
		log.Info("Unmarshal failed", err)
		return nil, err
	}
	/*
		filename := filepath.Join("/tmp", pbfile)
		f, _ := os.OpenFile(filename, os.O_WRONLY|os.O_CREATE|os.O_TRUNC, 0644)
		f.Write(body)
		f.Close()
	*/
	return psets, nil
}
